### Method

# RB PlaylistSource save_playlist

#### Declaration [src]

    void
    rb_playlist_source_save_playlist (
      RBPlaylistSource* source,
      const char* uri,
      RBPlaylistExportType export_type
    )

#### Description [src]

Saves the playlist to an external file in a standard format (M3U, PLS, or XSPF).

#### Parameters

`uri`

  Type: `const char*`

  Destination URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`export_type`

  Type: `RBPlaylistExportType`

  Format to save in.